---
sidebar_position: 7
description: Resend voice and other functions to work with VKTeams in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VKTeams]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Resend voice
 Sends a previously uploaded voice message by ID



`Function ResendVoice(Val Token, Val ChatID, Val FileID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Bot token |
  | ChatID | --chatid | String, Number | &#x2714; | Chat ID for sending |
  | FileID | --fileid | String, Number | &#x2714; | File ID of voice message |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from VK Teams

:::tip
Method at API documentation: [GET /messages/sendVoice](https://teams.vk.com/botapi/#/messages/get_messages_sendVoice)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token  = "001.3501506236.091...";
    ChatID = "AoLI0egLWBSLR1Ngn2w";
    FileID = "I000bxdrVULjGyjLPB2Ax36939c3cf1bd";

    Result = OPI_VKTeams.ResendVoice(Token, ChatID, FileID);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint vkteams ResendVoice \
             --token "***" \
             --chatid "***" \
             --fileid "I000bmKp5i5bSKc84YF8uw6939d2a41bd"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint vkteams ResendVoice ^
             --token "***" ^
             --chatid "***" ^
             --fileid "I000bmKp5i5bSKc84YF8uw6939d2a41bd"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "fileId": "I000bKtHKCFzbCD7iXpXO4693983431bd",
 "msgId": "7582235788620869642",
 "ok": true
}
```
